/**Begin D:\tool\PDM_UPGRADE\pdm_new\ISCB_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ISCB_RES_PACKAGES')
CREATE TABLE T_ISCB_RES_PACKAGES (
                                     FID BIGINT DEFAULT 0 NOT NULL,
                                     FNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
                                     FNAME VARCHAR(80) DEFAULT ' ' NOT NULL,
                                     FTAG VARCHAR(50) DEFAULT ' ',
                                     FREMARK VARCHAR(500) DEFAULT ' ',
                                     FRES_COUNT BIGINT DEFAULT 0 NOT NULL,
                                     FCREATORID BIGINT DEFAULT 0 NOT NULL,
                                     FCREATETIME DATETIME,
                                     FMODIFIER BIGINT DEFAULT 0 NOT NULL,
                                     FMODIFYTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ISCB_RES_PACKAGES_ENTRY')
CREATE TABLE T_ISCB_RES_PACKAGES_ENTRY (
                                           FID BIGINT DEFAULT 0 NOT NULL,
                                           FENTRYID BIGINT DEFAULT 0 NOT NULL,
                                           FSEQ BIGINT DEFAULT 0 NOT NULL,
                                           FRES_NUMBER VARCHAR(100) DEFAULT ' ',
                                           FRES_TYPE VARCHAR(36) DEFAULT ' ',
                                           FRES_NAME VARCHAR(100) DEFAULT ' ',
                                           FRES_PK VARCHAR(50) DEFAULT ' ',
                                           FRES_TIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ISCB_RES_PACKAGE_EXPORT')
CREATE TABLE T_ISCB_RES_PACKAGE_EXPORT (
                                           FID BIGINT DEFAULT 0 NOT NULL,
                                           FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
                                           FCREATETIME DATETIME,
                                           FMODIFYTIME DATETIME,
                                           FCREATORID BIGINT DEFAULT 0 NOT NULL,
                                           FNUMBER VARCHAR(50) DEFAULT ' ',
                                           FRES_COUNT BIGINT DEFAULT 0 NOT NULL,
                                           FREMARK VARCHAR(500) DEFAULT ' ',
                                           FEXPORT_TIME DATETIME,
                                           FPACKAGES BIGINT DEFAULT 0 NOT NULL,
                                           FBYTE_COUNT BIGINT
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ISCB_RES_PKG_EXPORT_MR')
CREATE TABLE T_ISCB_RES_PKG_EXPORT_MR (
                                          FID BIGINT DEFAULT 0 NOT NULL,
                                          FENTRYID BIGINT DEFAULT 0 NOT NULL,
                                          FSEQ BIGINT DEFAULT 0 NOT NULL,
                                          FTYPE VARCHAR(36) DEFAULT ' ',
                                          FNUMBER VARCHAR(100) DEFAULT ' ',
                                          FNAME VARCHAR(100) DEFAULT ' ',
                                          FRES_PK VARCHAR(50) DEFAULT ' ',
                                          FRES_TIME DATETIME,
                                          FCONTENT VARCHAR(255) DEFAULT ' ',
                                          FCONTENT_TAG NCLOB DEFAULT ' ',
                                          FSIZE BIGINT DEFAULT 0 NOT NULL,
                                          FMAIN_EXPORT_CONTENT VARCHAR(255) DEFAULT ' ',
                                          FMAIN_EXPORT_CONTENT_TAG NCLOB DEFAULT ' '
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ISCB_RES_PKG_EXPORT_RR')
CREATE TABLE T_ISCB_RES_PKG_EXPORT_RR (
                                          FID BIGINT DEFAULT 0 NOT NULL,
                                          FENTRYID BIGINT DEFAULT 0 NOT NULL,
                                          FSEQ BIGINT DEFAULT 0 NOT NULL,
                                          FTYPE VARCHAR(36) DEFAULT ' ',
                                          FNUMBER VARCHAR(100) DEFAULT ' ',
                                          FNAME VARCHAR(100) DEFAULT ' ',
                                          FRES_PK VARCHAR(50) DEFAULT ' ',
                                          FRES_TIME DATETIME,
                                          FCONTENT VARCHAR(255) DEFAULT ' ',
                                          FCONTENT_TAG NCLOB DEFAULT ' ',
                                          FSIZE BIGINT DEFAULT 0 NOT NULL
);



/**End D:\tool\PDM_UPGRADE\pdm_new\ISCB_table.sql **/
